USN-4916-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-4916-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-4916-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-4916-1
Related
  • CVE-2021-29154
  • CVE-2021-3493
Published
2021-04-15T23:26:22.905899Z
Modified
2021-04-15T23:26:22.905899Z
Summary
linux, linux-aws, linux-aws-hwe, linux-azure, linux-azure-4.15, linux-dell300x, linux-gcp, linux-gcp-4.15, linux-hwe, linux-kvm, linux-lts-xenial, linux-oracle, linux-raspi2, linux-snapdragon vulnerabilities
Details

It was discovered that the overlayfs implementation in the Linux kernel did not properly validate the application of file system capabilities with respect to user namespaces. A local attacker could use this to gain elevated privileges. (CVE-2021-3493)

Piotr Krysiuk discovered that the BPF JIT compiler for x86 in the Linux kernel did not properly validate computation of branch displacements in some situations. A local attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2021-29154)

References

Affected packages

Ubuntu:Pro:14.04:LTS / linux-aws

Package

Name
linux-aws

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.4.0-1091.95

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-image-aws": "4.4.0.1091.88",
            "linux-image-4.4.0-1091-aws": "4.4.0-1091.95"
        }
    ]
}

Ubuntu:Pro:14.04:LTS / linux-lts-xenial

Package

Name
linux-lts-xenial

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.4.0-209.241~14.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-image-4.4.0-209-generic": "4.4.0-209.241~14.04.1",
            "linux-image-4.4.0-209-powerpc-smp": "4.4.0-209.241~14.04.1",
            "linux-image-4.4.0-209-powerpc64-emb": "4.4.0-209.241~14.04.1",
            "linux-image-4.4.0-209-powerpc-e500mc": "4.4.0-209.241~14.04.1",
            "linux-image-4.4.0-209-lowlatency": "4.4.0-209.241~14.04.1",
            "linux-image-powerpc64-smp-lts-xenial": "4.4.0.209.182",
            "linux-image-virtual-lts-xenial": "4.4.0.209.182",
            "linux-image-lowlatency-lts-xenial": "4.4.0.209.182",
            "linux-image-4.4.0-209-generic-lpae": "4.4.0-209.241~14.04.1",
            "linux-image-4.4.0-209-powerpc64-smp": "4.4.0-209.241~14.04.1",
            "linux-image-generic-lts-xenial": "4.4.0.209.182",
            "linux-image-powerpc64-emb-lts-xenial": "4.4.0.209.182",
            "linux-image-powerpc-e500mc-lts-xenial": "4.4.0.209.182",
            "linux-image-powerpc-smp-lts-xenial": "4.4.0.209.182",
            "linux-image-generic-lpae-lts-xenial": "4.4.0.209.182"
        }
    ]
}

Ubuntu:Pro:14.04:LTS / linux-azure

Package

Name
linux-azure

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1113.126~14.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-image-azure": "4.15.0.1113.86",
            "linux-image-4.15.0-1113-azure": "4.15.0-1113.126~14.04.1"
        }
    ]
}

Ubuntu:18.04:LTS / linux-gcp-4.15

Package

Name
linux-gcp-4.15

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1098.111

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.15.0-1098-gcp": "4.15.0-1098.111",
            "linux-image-gcp-lts-18.04": "4.15.0.1098.116"
        }
    ]
}

Ubuntu:18.04:LTS / linux-dell300x

Package

Name
linux-dell300x

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1017.21

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.15.0-1017-dell300x": "4.15.0-1017.21",
            "linux-image-dell300x": "4.15.0.1017.19"
        }
    ]
}

Ubuntu:18.04:LTS / linux-kvm

Package

Name
linux-kvm

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1090.92

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.15.0-1090-kvm": "4.15.0-1090.92",
            "linux-image-kvm": "4.15.0.1090.86"
        }
    ]
}

Ubuntu:18.04:LTS / linux-snapdragon

Package

Name
linux-snapdragon

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1101.110

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-snapdragon": "4.15.0.1101.104",
            "linux-image-4.15.0-1101-snapdragon": "4.15.0-1101.110"
        }
    ]
}

Ubuntu:18.04:LTS / linux-aws

Package

Name
linux-aws

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1099.106

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-aws-lts-18.04": "4.15.0.1099.102",
            "linux-image-4.15.0-1099-aws": "4.15.0-1099.106"
        }
    ]
}

Ubuntu:18.04:LTS / linux-raspi2

Package

Name
linux-raspi2

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1084.89

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.15.0-1084-raspi2": "4.15.0-1084.89",
            "linux-image-raspi2": "4.15.0.1084.81"
        }
    ]
}

Ubuntu:18.04:LTS / linux-oracle

Package

Name
linux-oracle

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1070.78

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.15.0-1070-oracle": "4.15.0-1070.78",
            "linux-image-oracle-lts-18.04": "4.15.0.1070.80"
        }
    ]
}

Ubuntu:18.04:LTS / linux

Package

Name
linux

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-142.146

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-lowlatency-hwe-16.04": "4.15.0.142.129",
            "linux-image-4.15.0-142-lowlatency": "4.15.0-142.146",
            "linux-image-4.15.0-142-generic-lpae": "4.15.0-142.146",
            "linux-image-virtual-hwe-16.04-edge": "4.15.0.142.129",
            "linux-image-generic-hwe-16.04": "4.15.0.142.129",
            "linux-image-4.15.0-142-generic": "4.15.0-142.146",
            "linux-image-generic-lpae-hwe-16.04": "4.15.0.142.129",
            "linux-image-lowlatency": "4.15.0.142.129",
            "linux-image-generic-lpae-hwe-16.04-edge": "4.15.0.142.129",
            "linux-image-generic": "4.15.0.142.129",
            "linux-image-lowlatency-hwe-16.04-edge": "4.15.0.142.129",
            "linux-image-virtual": "4.15.0.142.129",
            "linux-image-generic-hwe-16.04-edge": "4.15.0.142.129",
            "linux-image-generic-lpae": "4.15.0.142.129",
            "linux-image-virtual-hwe-16.04": "4.15.0.142.129"
        }
    ]
}

Ubuntu:18.04:LTS / linux-azure-4.15

Package

Name
linux-azure-4.15

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1113.126

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.15.0-1113-azure": "4.15.0-1113.126",
            "linux-image-azure-lts-18.04": "4.15.0.1113.86"
        }
    ]
}

Ubuntu:16.04:LTS / linux-aws-hwe

Package

Name
linux-aws-hwe

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1099.106~16.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-aws-hwe": "4.15.0.1099.92",
            "linux-image-4.15.0-1099-aws": "4.15.0-1099.106~16.04.1"
        }
    ]
}

Ubuntu:16.04:LTS / linux-azure

Package

Name
linux-azure

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1113.126~16.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-azure": "4.15.0.1113.104",
            "linux-image-4.15.0-1113-azure": "4.15.0-1113.126~16.04.1",
            "linux-image-azure-edge": "4.15.0.1113.104"
        }
    ]
}

Ubuntu:16.04:LTS / linux-kvm

Package

Name
linux-kvm

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.4.0-1092.101

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.4.0-1092-kvm": "4.4.0-1092.101",
            "linux-image-kvm": "4.4.0.1092.90"
        }
    ]
}

Ubuntu:16.04:LTS / linux-snapdragon

Package

Name
linux-snapdragon

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.4.0-1155.165

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.4.0-1155-snapdragon": "4.4.0-1155.165",
            "linux-image-snapdragon": "4.4.0.1155.147"
        }
    ]
}

Ubuntu:16.04:LTS / linux-aws

Package

Name
linux-aws

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.4.0-1127.141

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-aws": "4.4.0.1127.132",
            "linux-image-4.4.0-1127-aws": "4.4.0-1127.141"
        }
    ]
}

Ubuntu:16.04:LTS / linux-raspi2

Package

Name
linux-raspi2

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.4.0-1151.162

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-raspi2": "4.4.0.1151.151",
            "linux-image-4.4.0-1151-raspi2": "4.4.0-1151.162"
        }
    ]
}

Ubuntu:16.04:LTS / linux-oracle

Package

Name
linux-oracle

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1070.78~16.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.15.0-1070-oracle": "4.15.0-1070.78~16.04.1",
            "linux-image-oracle": "4.15.0.1070.58"
        }
    ]
}

Ubuntu:16.04:LTS / linux

Package

Name
linux

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.4.0-209.241

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-4.4.0-209-powerpc64-emb": "4.4.0-209.241",
            "linux-image-lowlatency-lts-vivid": "4.4.0.209.215",
            "linux-image-virtual-lts-vivid": "4.4.0.209.215",
            "linux-image-powerpc64-emb": "4.4.0.209.215",
            "linux-image-4.4.0-209-powerpc-e500mc": "4.4.0-209.241",
            "linux-image-lowlatency-lts-wily": "4.4.0.209.215",
            "linux-image-powerpc-e500mc-lts-utopic": "4.4.0.209.215",
            "linux-image-powerpc-smp-lts-wily": "4.4.0.209.215",
            "linux-image-generic-lpae-lts-vivid": "4.4.0.209.215",
            "linux-image-virtual-lts-utopic": "4.4.0.209.215",
            "linux-image-powerpc64-smp-lts-xenial": "4.4.0.209.215",
            "linux-image-powerpc64-emb-lts-utopic": "4.4.0.209.215",
            "linux-image-powerpc64-smp-lts-wily": "4.4.0.209.215",
            "linux-image-powerpc-smp-lts-utopic": "4.4.0.209.215",
            "linux-image-virtual-lts-xenial": "4.4.0.209.215",
            "linux-image-powerpc64-smp": "4.4.0.209.215",
            "linux-image-powerpc-e500mc-lts-wily": "4.4.0.209.215",
            "linux-image-powerpc-smp-lts-vivid": "4.4.0.209.215",
            "linux-image-powerpc64-emb-lts-vivid": "4.4.0.209.215",
            "linux-image-generic-lts-xenial": "4.4.0.209.215",
            "linux-image-lowlatency": "4.4.0.209.215",
            "linux-image-4.4.0-209-powerpc64-smp": "4.4.0-209.241",
            "linux-image-powerpc64-smp-lts-vivid": "4.4.0.209.215",
            "linux-image-powerpc-e500mc": "4.4.0.209.215",
            "linux-image-virtual": "4.4.0.209.215",
            "linux-image-generic-lpae-lts-xenial": "4.4.0.209.215",
            "linux-image-powerpc64-emb-lts-wily": "4.4.0.209.215",
            "linux-image-generic-lts-utopic": "4.4.0.209.215",
            "linux-image-powerpc64-smp-lts-utopic": "4.4.0.209.215",
            "linux-image-4.4.0-209-powerpc-smp": "4.4.0-209.241",
            "linux-image-4.4.0-209-generic": "4.4.0-209.241",
            "linux-image-generic-lts-vivid": "4.4.0.209.215",
            "linux-image-generic-lpae-lts-utopic": "4.4.0.209.215",
            "linux-image-powerpc-e500mc-lts-xenial": "4.4.0.209.215",
            "linux-image-4.4.0-209-lowlatency": "4.4.0-209.241",
            "linux-image-powerpc-e500mc-lts-vivid": "4.4.0.209.215",
            "linux-image-powerpc-smp-lts-xenial": "4.4.0.209.215",
            "linux-image-virtual-lts-wily": "4.4.0.209.215",
            "linux-image-lowlatency-lts-xenial": "4.4.0.209.215",
            "linux-image-4.4.0-209-generic-lpae": "4.4.0-209.241",
            "linux-image-generic-lpae-lts-wily": "4.4.0.209.215",
            "linux-image-lowlatency-lts-utopic": "4.4.0.209.215",
            "linux-image-powerpc64-emb-lts-xenial": "4.4.0.209.215",
            "linux-image-generic-lts-wily": "4.4.0.209.215",
            "linux-image-powerpc-smp": "4.4.0.209.215",
            "linux-image-generic": "4.4.0.209.215",
            "linux-image-generic-lpae": "4.4.0.209.215"
        }
    ]
}

Ubuntu:16.04:LTS / linux-hwe

Package

Name
linux-hwe

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-142.146~16.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-generic-hwe-16.04-edge": "4.15.0.142.137",
            "linux-image-lowlatency-hwe-16.04": "4.15.0.142.137",
            "linux-image-virtual-hwe-16.04-edge": "4.15.0.142.137",
            "linux-image-4.15.0-142-generic": "4.15.0-142.146~16.04.1",
            "linux-image-generic-hwe-16.04": "4.15.0.142.137",
            "linux-image-generic-lpae-hwe-16.04": "4.15.0.142.137",
            "linux-image-4.15.0-142-lowlatency": "4.15.0-142.146~16.04.1",
            "linux-image-generic-lpae-hwe-16.04-edge": "4.15.0.142.137",
            "linux-image-lowlatency-hwe-16.04-edge": "4.15.0.142.137",
            "linux-image-oem": "4.15.0.142.137",
            "linux-image-4.15.0-142-generic-lpae": "4.15.0-142.146~16.04.1",
            "linux-image-virtual-hwe-16.04": "4.15.0.142.137"
        }
    ]
}

Ubuntu:16.04:LTS / linux-gcp

Package

Name
linux-gcp

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1098.111~16.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-gke": "4.15.0.1098.99",
            "linux-image-4.15.0-1098-gcp": "4.15.0-1098.111~16.04.1",
            "linux-image-gcp": "4.15.0.1098.99"
        }
    ]
}